<?php
/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

*/

if (defined('WP_UNINSTALL_PLUGIN')) {
  global $wpdb;

  // Cleanup meta-data and also from sierian
  $token_exist              = get_user_meta( 1, 'pkg_migawp_code', true );
  $platform_url              = get_user_meta( 1, 'platform_url', true );
  $curl                     = curl_init();
              curl_setopt_array($curl, array(
                CURLOPT_URL => $platform_url."/migawordpress/public_api/ondeactivation?token=".$token_exist,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => "",
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 30,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => "POST",
                CURLOPT_POSTFIELDS => "",
                CURLOPT_HTTPHEADER => array("cache-control: no-cache"),
              ));
              $response   = curl_exec($curl);
              $err        = curl_error($curl);
              curl_close($curl);
              $meta_type  = 'user';
              $user_id    = 1;
              $meta_key   = 'pkg_migawp_code';
              $meta_value = '';
              $delete_all = false;
              delete_metadata( $meta_type, $user_id, $meta_key, $meta_value, $delete_all );
              delete_metadata( $meta_type, $user_id, 'platform_url', $platform_url, $delete_all );
  // No error checking or anything - this plugin is about to die, so there is no time to
  // display anything anymore
}
?>
